/*
 * ----------------------------------------------------------------------------
 *
 * memory.h -- provide memory handling abstraction
 * Copyright (C) 2004 Fabian "zzznowman" Pietsch
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ----------------------------------------------------------------------------
 *
 */

#ifndef __MEMORY_H
#define __MEMORY_H

#define MALLOC(x) malloc(x)
#define NEW(x)    MALLOC(sizeof(x))
#define FREE(x)   free(x); x = NULL

#endif  /* __MEMORY_H */
